LegalSifter's document editor requires the following minimum versions. Below each browser is the minimum version needed for the operating system to run the browser. 

  • Chrome 64-bit, version 68 and higher
  • Windows 7 64-bit (PC), OS X Yosemite 10.10 (Mac)
  • Please note that in many cases, 32-bit Chrome is supported (version 72 and later)
  • Firefox 64-bit, version 61 and higher
  • Windows 7 64-bit (PC), OS X Mavericks 10.9 (Mac)
  • Edge, version 44 and higher
  • Windows 10 (PC)
  • Safari, version 11 and higher
  • OS X El Capitan 10.11 (Mac)
  • Opera, version 44 and higher
  • Windows 7 (PC)

Internet Explorer is not supported.

Mobile use of the Document Editor is not supported.

If you have any questions about your browser or browser support, please email help@legalsifter.com.

Did this answer your question?